Skip to navigation

Update a member

Updates all the fields described in the request body of the specified member. Creates a member if the member doesn’t exist already. Fields left out of the body will remain unaffected.

Authentication

Authorizationstring

This key is used for all apis with the exception of ingest. You can obtain it following these instructions and placing the key in the header of your call in the format of Authorization: Token {accesstoken} For example:

curl -H 'Authorization: Token <ACCESS TOKEN>'
OR
servicekeystring

(Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the Authorization header of your api call. NOTE Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

Path parameters

emailstringRequired
Email of a member

Request

This endpoint expects an object.
roleenumOptional
role of member. Owner shall not be created or set through api
Allowed values:
groupslist of stringsOptional

Response

The update was successful; the member resource is returned with updated fields.

emailstringOptional
Email of a member
roleenumOptional
role of member. Owner shall not be created or set through api
Allowed values:
groupslist of stringsOptional

Errors

400
Bad Request Error
409
Conflict Error